@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,700&display=swap');

* {
    margin: 0;
    padding: 0;
    color: white;
    font-family: 'Poppins';
    background-color: black;
    scroll-behavior: smooth;
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}

/* <-------- Landing Page --------------> */

.landing-page::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgb(31 27 27 / 70%);
    z-index: -1;
}


.landing-page {
    display: block;
    background-image: url("./img/landing-img/nf.jpg");
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    filter: brightness(0.2);
    filter: contrast(1.2);
    border-bottom: 3.8px solid #504c4c;
    padding-top: 1px;
}

/* <------------------- Nav Bar ------------------>  */

.nav-bar {

    display: flex;
    background-color: transparent;
    margin: 10px auto;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    max-width: 1400px;
    width: 95%;

}

    /* <- Nav Bar Components ->   */


.logo-img {
    background-color: transparent;
}

.logo1-img {
    background: transparent;
    height: 50px;
}

.logo2-img {
    background: transparent;
    height: 40px;
}


/* <-- Right Side Bar --> */

.content {
    display: flex;
    height: 35px;
    background-color: transparent;
    justify-content: space-between;
    align-items: center;
    gap: 5px;

}

/* 
.lang-after, .lang-before {
    color: White;
    background-color: transparent;
    padding: 6px 8px;
    border-radius: 4px;
    border: 1px solid rgb(111, 111, 111);
  }

.lang-after{
    display: none;
} */

.login {
    background: #ff000065;
    border-radius: 4px;
    color: white;
    cursor: pointer;
    font-size: 15px;
    text-decoration: none;
    text-align: center;
    padding: 5px 16px;
    display: inline-block;
    
}

.login:hover {
    background-color: rgba(255, 0, 0, 0.647);
    color: rgb(255, 248, 248)
}


.contact-us {
    background: transparent;
    border-radius: 3px;
    color: white;
    cursor: pointer;
    font-size: 16px;
    font-weight: 401;
    text-decoration: none;
    text-align: center;
    padding: 5px 16px;

}

.contact-us:hover {
    color: red;
}



/* <-------- Display Block ----------> */

.display-block {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 95%;
    max-width: 1200px;
    background-color: transparent;
    justify-content: center;
    justify-items: center;
    margin: 13% auto;
    gap: 10px;
}

.display-block>h2 {
    font-size: 3rem;
    background-color: transparent;
}

.display-block p {
    font-size: 1.5rem;
    font-weight: 400;
    background-color: transparent;
}

.explore-btn {
    color: red;
    background: #00000061;
    font-size: 25px;
    border-radius: 8px;
    cursor: pointer;
    border: 1.5px solid white;
    font-weight: 600;
    display: flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    width: 90%;
    align-self: center;
    max-width: 600px;
    height: 55px;
}

.explore-btn i {
    color: rgb(255, 255, 255);
    font-size: 40px;
    background-color: transparent;
}

.explore-btn:hover {
    transform: scale(.98);
    color: white;
    transition: all .4s ease;
    color: white;
    background-color: #ff00018f;
}

.explore-btn span {
    padding: 0px 0px;
    display: grid;
    background: transparent;
    transform: rotate(90deg);
}


/* <------------ Block's ------------------> */


.blocks {
    display: block;
    border-bottom: 3.8px solid #504c4c;
}

.inside-block {
    display: flex;
    margin: 44px auto;
    width: 85%;
    gap: 7px;
    align-items: center;
    justify-content: space-around;
    max-width: 1440px;
}

.content-block {
    flex-basis: 55%;
    font-size: 20px;
    display: block;

}

.video-block {
    flex-basis: 45%;
}

.video {
    width: 100%;
}

.img {
    width: 100%;
}

.img-block {
    flex-basis: 45%;
    text-align: center;
}


/* <-------------- Footer -----------> */


.footer {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2.5rem;
    max-width: 100%;
}

.footer-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 75%;
    border-bottom: 1px solid #282424;
    padding: 20px 0px;
    max-width: 1200px;
    flex-wrap: wrap;
}


.top i {
    padding: 15px;
    border-radius: 50%;
    font-size: 15px;
    box-shadow: inset 0 4px 8px hsla(0, 100%, 98.8%, 0.37);
}

.footer-text {
    font-size: 20px;
}

.browsing-list {
    display: flex;
    flex-wrap: wrap;
}

.browsinglist {
    line-height: 30px;
    padding-right: 80px;
}

.browsinglist a,
.helpinglist a,
.aboutus a,
.browsinglist2 a,
.quicklink-list a {
    text-decoration: none;
    font-size: 15px;
    display: block;
}

.browsinglist2,
.helpinglist,
.aboutus {
    display: flex;
    flex-direction: column;
    line-height: 30px;
}

.footer-text2 {
    font-size: 20px;
    line-height: 3.5rem;
    position: relative;
}

.quicklink-wrapper {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    width: 75%;
    margin: 20px auto;
    flex-wrap: wrap;
    font-size: 15px;
}

.quicklink-list li {
    padding-right: 10px;
    list-style: none;
}

.social-list li {
    list-style: none;
    padding-left: 10px;
}

.quicklink-list,
.social-list {
    display: flex;
}

.social-list {
    font-size: 20px;
}

.social-list a i:hover,
.top i:hover {
    color: #ff0000;
    transition: .1s;
}

.social-link {
    box-shadow: inset 0 4px 8px hsla(0, 100%, 98.8%, 0.37);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    border-radius: 50%;
    font-size: 14px;
    width: 35px;
    height: 35px;
    place-items: center;
    text-decoration: none;
}



/* --------------media query tablet's------------------ */

@media (max-width: 900px) {
    .inside-block {
        flex-direction: column;
        text-align: center;
    }

  
}

/* <------------- Mobile Query Mobile sm-----------> */

@media (width<=426px) {

    /* @media (427px <= width <= 700px) { */


    .logo2-img {
        display: none;
    }

    .lang-before {
        display: none;
    }

    .lang-after {
        display: block;
    }

    /* <----------------- display Block _-----------------> */

    .display-block {
        margin: 150px auto;
    }

    .display-block>h2 {
        font-size: 1.8rem;
        font-weight: 550;
    }

    .display-block p {
        font-size: 1.2rem;
    }

    .display-block .readyy {
        font-size: 0.9rem;
        line-height: 28px;
    }

    .explore-btn {
        margin-top: 10px;
    }

    .top i {
        display: none;
    }

    .inside-block2 {
        gap: 35px;
    }

    .inside-block3 {
        gap: 27px;
    }

      .content-block h1 {
        font-size: 7vw;
    }

    .content-block p {
        font-size: 4vw;
    }

    .inside-block2 {
        flex-direction: column-reverse;
    }

    .top i {
        display: none;
    }
}